Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations
Class WebResultAnnotation

    java.lang.Object
      org.codehaus.xfire.annotations.WebResultAnnotation

Direct Known Subclasses:
  WebResult

    public class WebResultAnnotation

extends java.lang.Object

Represents an common representation of a web result annotation. Customizes the mapping of the return value to a WSDL part and XML element.

Author:
  Arjen Poutsma

Constructor Summary
`WebResultAnnotation()`

Method Summary
`java.lang.String` | `getName()` Returns the name of the return value as it appears in the WSDL and messages on the wire.
`java.lang.String` | `getTargetNamespace()` Returns the XML namespace for the return value.
`void` | `setName(java.lang.String name)` Sets the name of return value as it appears in the WSDL and messages on the wire.
`void` | `setTargetNamespace(java.lang.String targetNamespace)` Sets the XML namespace for the return value.
`java.lang.String` | `toString()` Returns a String representation of this `WebResultAnnotation` attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebResultAnnotation

    public WebResultAnnotation()

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the return value as it appears in the WSDL and messages on the wire. For RPC bindings, this is the name of the wsdl:part representing the return value. For document bindings, this is the local name of the XML element representing the return value.

  Returns:
    the name of the return value.

### setName

    public void setName(java.lang.String name)

  Sets the name of return value as it appears in the WSDL and messages on the wire. For RPC bindings, this is the name of the wsdl:part representing the return value. For document bindings, this is the local name of the XML element representing the return value.

  Parameters:
    `name` - the new name of the return value.

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Returns the XML namespace for the return value. Only used with document bindings, where the return value maps to an XML element. Defaults to the targetNamespace of the Web Service.

  Returns:
    the XML namespace for the return value.

### setTargetNamespace

    public void setTargetNamespace(java.lang.String targetNamespace)

  Sets the XML namespace for the return value. Only used with document bindings, where the return value maps to an XML element. Defaults to the targetNamespace of the Web Service.

  Parameters:
    `targetNamespace` - the new XML namespace for the return value.

### toString

    public java.lang.String toString()

  Returns a String representation of this `WebResultAnnotation` attribute.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.